X2Go Bug report logs - #1016
python-x2go breaks with gevent 1.1.0

version graph

Package: python-x2go; Maintainer for python-x2go is X2Go Developers <x2go-dev@lists.x2go.org>; Source for python-x2go is src:python-x2go.

Reported by: Cezary Statkiewicz <cezio@thelirium.net>

Date: Fri, 1 Apr 2016 17:40:02 UTC

Severity: normal

Tags: pending

Found in version 0.5.0.4

Fixed in version 0.5.0.5

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1016; Package python-x2go. (Fri, 01 Apr 2016 17:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Cezary Statkiewicz <cezio@thelirium.net>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 01 Apr 2016 17:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Cezary Statkiewicz <cezio@thelirium.net>
To: submit@bugs.x2go.org
Subject: python-x2go breaks with gevent 1.1.0
Date: Fri, 01 Apr 2016 19:27:59 +0200
[Message part 1 (text/plain, inline)]
Package: python-x2go
Version: 0.5.0.4

 Hi,

 I'm using x2go python bindings, and noticed that X2GoSession's .suspend() can 
break with gevent 1.1. I've downgraded gevent to 1.0.2 and unchanged code 
works fine with it.

 Sample code (i believe taken from a sample code):


 class Client(X2GoClient):
    def do_connect(self):
        ...
        sid = self.register_session(server=session_args.pop('server', None),
                                    username=session_args.pop('username', 
None),
                                    profile_name=session_args.pop('profile_name', 
None),
                                    port=session_args.pop('port', None),
                                    return_object=True)
        sid.update_params(session_args)
        sid.connect()
        self.clean_sessions(sid.uuid)
        sid.start(cmd='XFCE')

        session_name = sid.get_session_name()
        if session_name is None:
            log.error("X2Go session creation: Session name is None, 
terminating")
            return
        sid.suspend()
        ...


 Traceback:


  File "/usr/lib/python2.7/dist-packages/x2go/session.py", line 2303, in 
suspend
    self._lock.release()
  File "gevent/_semaphore.py", line 266, in 
gevent._semaphore.BoundedSemaphore.release (gevent/gevent._semaphore.c:4866)
  File "gevent/_semaphore.py", line 268, in 
gevent._semaphore.BoundedSemaphore.release (gevent/gevent._semaphore.c:4802)
thread.error: Semaphore released too many times



 Best Regards,

 Cezary Statkiewicz
 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1016; Package python-x2go. (Tue, 09 May 2017 10:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 09 May 2017 10:30:02 GMT) (full text, mbox, link).


Message #10 received at 1016@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1016-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1016@bugs.x2go.org
Subject: X2Go issue (in src:python-x2go) has been marked as pending for release
Date: Tue, 9 May 2017 12:26:11 +0200 (CEST)
tag #1016 pending
fixed #1016 0.5.0.5
thanks

Hello,

X2Go issue #1016 (src:python-x2go) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=3ed4fed

The issue will most likely be fixed in src:python-x2go (0.5.0.5).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 3ed4fed3465e02c605c80e057c265ca4a5d4b2ac
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue May 9 12:24:20 2017 +0200

    Don't blindly release gevent locked. We need to checked if a semaphore is locked in some case and only then release it. (Fixes: #1016).

diff --git a/debian/changelog b/debian/changelog
index aeca116..cd549f0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,9 @@ python-x2go (0.5.0.5-0x2go1) UNRELEASED; urgency=low
   [ Mike Gabriel ]
   * New upstream version (0.5.0.5):
     - documentation: Fix wording in docstring.
+    - Don't blindly release gevent locked. We need to checked if a
+      semaphore is locked in some case and only then release it.
+      (Fixes: #1016).
 
   [ Mihai Moldovan ]
   * New upstream version (0.5.0.5):


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 09 May 2017 10:30:03 GMT) (full text, mbox, link).


Marked as fixed in versions 0.5.0.5. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 09 May 2017 10:30:03 GMT) (full text, mbox, link).


Message sent on to Cezary Statkiewicz <cezio@thelirium.net>:
Bug#1016. (Tue, 09 May 2017 10:30:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1016; Package python-x2go. (Mon, 15 May 2017 14:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 May 2017 14:40:02 GMT) (full text, mbox, link).


Message #22 received at 1016@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 1016-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1016@bugs.x2go.org
Subject: X2Go issue (in src:python-x2go) has been marked as closed
Date: Mon, 15 May 2017 16:39:35 +0200 (CEST)
close #1016
thanks

Hello,

we are very hopeful that X2Go issue #1016 reported by you
has been resolved in the new release (0.5.0.5) of the
X2Go source project »src:python-x2go«.

You can view the complete changelog entry of src:python-x2go (0.5.0.5)
below, and you can use the following link to view all the code changes
between this and the last release of src:python-x2go.

    http://code.x2go.org/gitweb?p=python-x2go.git;a=commitdiff;h=64c77967e7ae4ec038549eb19fef5c6fc5b525af;hp=59e42be74d34033dfd259bcfc54a84399893c44b

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:python-x2go.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:python-x2go
Version: 0.5.0.5-0x2go1
Status: RELEASE
Date: Mon, 15 May 2017 16:38:16 +0200
Fixes: 1016
Changes:
 python-x2go (0.5.0.5-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (0.5.0.5):
     - documentation: Fix wording in docstring.
     - Don't blindly release gevent locks. We need to check if a
       semaphore is locked for some code paths and only then release it.
       (Fixes: #1016).
 .
   [ Mihai Moldovan ]
   * New upstream version (0.5.0.5):
     - x2go/__init__.py: update mailing list address.
   * debian/control:
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Mon, 15 May 2017 14:40:02 GMT) (full text, mbox, link).


Notification sent to Cezary Statkiewicz <cezio@thelirium.net>:
Bug acknowledged by developer. (Mon, 15 May 2017 14:40:03 GMT) (full text, mbox, link).


Message sent on to Cezary Statkiewicz <cezio@thelirium.net>:
Bug#1016. (Mon, 15 May 2017 14:40:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 13 Jun 2017 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Aug 5 17:36:33 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.